AgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.AgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface AgentConfiguration

All Superinterfaces:
  Configuration, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ArtsAgentConfiguration, CiscoTelnetAgentConfiguration, CiscoWorksAgentConfiguration, DominoServerAgentConfiguration, FileGrabberAgentConfiguration, OracleAgentConfiguration, PortScanAgentConfiguration, SnmpAgentConfiguration, StackScanAgentConfiguration, StorageAgentConfiguration, UniversalDataAgentConfiguration, VeritasClusterAgentConfiguration, WebSphereAgentConfiguration

    public interface AgentConfiguration

extends Configuration

A discover agent (aka sensor) configuration object

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getAgentClassName()`
`int` | `getBidiConfigFlag()`
`java.lang.String` | `getBidiConfigFormat()`
`java.lang.String` | `getBidiProfile()`
`ClassPathEntry[]` | `getClassPath()`
`int` | `getObjectVersion()`
`java.lang.String` | `getOriginalName()`
`java.lang.String` | `getScopeSetName()`
`java.lang.String` | `getSeedClassName()`
`java.lang.String` | `getTemplateClassName()`
`boolean` | `hasAgentClassName()`
`boolean` | `hasBidiConfigFlag()`
`boolean` | `hasBidiConfigFormat()`
`boolean` | `hasBidiProfile()`
`boolean` | `hasClassPath()`
`boolean` | `hasObjectVersion()`
`boolean` | `hasOriginalName()`
`boolean` | `hasScopeSetName()`
`boolean` | `hasSeedClassName()`
`boolean` | `hasTemplateClassName()`
`void` | `setAgentClassName(java.lang.String className)`
`void` | `setBidiConfigFlag(int flag)`
`void` | `setBidiConfigFormat(java.lang.String format)`
`void` | `setBidiProfile(java.lang.String profileName)`
`void` | `setClassPath(ClassPathEntry[] classpath)`
`void` | `setObjectVersion(int version)`
`void` | `setOriginalName(java.lang.String originalName)`
`void` | `setScopeSetName(java.lang.String scopeName)`
`void` | `setSeedClassName(java.lang.String className)`
`void` | `setTemplateClassName(java.lang.String className)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSeedClassName

    java.lang.String getSeedClassName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSeedClassName

    void setSeedClassName(java.lang.String className)

### hasSeedClassName

    boolean hasSeedClassName()

### getAgentClassName

    java.lang.String getAgentClassName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAgentClassName

    void setAgentClassName(java.lang.String className)

### hasAgentClassName

    boolean hasAgentClassName()

### getTemplateClassName

    java.lang.String getTemplateClassName()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTemplateClassName

    void setTemplateClassName(java.lang.String className)

### hasTemplateClassName

    boolean hasTemplateClassName()

### getClassPath

    ClassPathEntry[] getClassPath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    AC_CP

### setClassPath

    void setClassPath(ClassPathEntry[] classpath)

### hasClassPath

    boolean hasClassPath()

### getScopeSetName

    java.lang.String getScopeSetName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScopeSetName

    void setScopeSetName(java.lang.String scopeName)

### hasScopeSetName

    boolean hasScopeSetName()

### getBidiConfigFlag

    int getBidiConfigFlag()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBidiConfigFlag

    void setBidiConfigFlag(int flag)

### hasBidiConfigFlag

    boolean hasBidiConfigFlag()

### getBidiConfigFormat

    java.lang.String getBidiConfigFormat()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBidiConfigFormat

    void setBidiConfigFormat(java.lang.String format)

### hasBidiConfigFormat

    boolean hasBidiConfigFormat()

### getBidiProfile

    java.lang.String getBidiProfile()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBidiProfile

    void setBidiProfile(java.lang.String profileName)

### hasBidiProfile

    boolean hasBidiProfile()

### getObjectVersion

    int getObjectVersion()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjectVersion

    void setObjectVersion(int version)

### hasObjectVersion

    boolean hasObjectVersion()

### getOriginalName

    java.lang.String getOriginalName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOriginalName

    void setOriginalName(java.lang.String originalName)

### hasOriginalName

    boolean hasOriginalName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD